curl --request GET \
--url https://cloud-api.near.ai/v1/admin/organizations/{org_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://cloud-api.near.ai/v1/admin/organizations/{org_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud-api.near.ai/v1/admin/organizations/{org_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"currentUsage": {
"total_requests": 123,
"total_spent": 123,
"total_spent_display": "<string>",
"total_tokens": 123
},
"description": "<string>",
"spendLimit": {
"amount": 123,
"currency": "<string>",
"scale": 123
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}Get a single organization by id (Admin only)
Returns one organization with its spend limit and usage. Only authenticated admins can perform this operation. Returns 404 if the organization does not exist or is inactive (consistent with the admin organizations list, which hides inactive orgs).
Authorizations
JWT access token for user authentication (Authorization: Bearer <jwt_token>). Create via POST /users/me/access_tokens.
Path Parameters
Organization ID
Response
Organization retrieved successfully
Organization details for admin organization listing
Organization usage information (for admin user listing) All costs use fixed scale of 9 (nano-dollars) and USD currency
Show child attributes
Show child attributes
Spend limit for API responses
The system uses a fixed scale of 9 (nano-dollars = 1 billionth of a dollar). The scale field is included in responses for client convenience.
Examples: $100.00 USD: amount=100000000000, scale=9, currency="USD" $0.01 USD: amount=10000000, scale=9, currency="USD"
Show child attributes
Show child attributes